﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HeuristicLab.Algorithms.IteratedSymbolicExpressionConstruction {
  // represents state value functions that use a table representation for states and can therefore return the number of visits to each state
  public interface ITabularStateValueFunction : IStateValueFunction {
    double ValueVariance(object state); // estimate for the variance of observed rewards in a state
    int Tries(object state);
  }
}
